#include <iostream>
#include <string>
#include "functions.h"
#include "Bank.h"


int main (int argc, char * const argv[]) {
	Bank myBank;
	string var;
	int choice;
	do{
		system("clear");
		cout << "Welcome in the bank Simulation. Choose a function:\n\t1.Add Account"
			"\n\t2.Delete Account\n\t3.Show All Accounts\n\t4.Export Accounts to file"
			"\n\t5.Read accounts from file (Experimental)\n\t6.Find Account"
			"\n\t7.Terminal Simulation\n\t0.Exit Program\n\nEnter your choice here: ";
		getval(&choice);
		cin.get();
		switch (choice) {
			case 1:
				myBank.addAccount();
				break;
			case 2:
				cout << "Give a name to delete: ";
				getline(cin,var);
				myBank.removeAccount(myBank.searchName(var));
				break;
			case 3:
				myBank.showAll();
				break;
			case 4:
				cout << "Enter a file name to save to: ";
				getline(cin,var);
				myBank.outputToFile(var);
				break;
			case 5:
				cout << "Enter a file name to load from: ";
				getline(cin,var);
				myBank.inputFromFile(var);
				break;
			case 6:
				cout << "Enter a name to find in the bank: ";
				getline(cin,var);
				myBank.showAccAtPosition(myBank.searchName(var));
				waitForInput();
				break;
			case 7:
				for(;;){
					cout << "Enter a command, or type \"exit\" to exit the function:\n";
					getline(cin,var);
					if(var != "exit")
						system(var.c_str());
					else
						break;
				}
				break;
			case 0:
				return 0;
			default:
				cout << "No such Function";
				break;
		}
	}while(1);
	return 0;

	
}
