#include "Bank.h"


void Bank::addAccount(){
	Account temp;
	string s;
	float dep;
	cout << "Give a name: ";
	getline(cin,s);
	cout << "Give a deposit: ";
	getval(&dep);
	cin.get();
	
	temp.setStats(s,dep);
	bank.push_back(temp);
}

void Bank::removeAccount(int pos){
	vector<Account>::iterator alpha;
	alpha = bank.begin();
	alpha = alpha + pos;
	if (pos >= 0)
		bank.erase(alpha);
}

int Bank::searchName(string name){
	int i;
	for(i=0; i<bank.size(); i++){
		if(bank[i].retName() == name)
			return i;
	}
	return -1;
}

void Bank::showAll(){
	int i;
	for (i=0; i<bank.size(); i++)
		bank[i].show();
}

void Bank::showAccAtPosition(int pos){
	bank[pos].show();
}

void Bank::outputToFile(string filename){
	int i;
	ofstream outFile(filename.c_str());
	for(i=0; i<bank.size(); i++){
		outFile << "(1)" << bank[i].retName() << "\n";
		outFile << "(2)" << bank[i].retDeposit() << "\n";
	}
}

void Bank::inputFromFile(string filename){
	int i;
	//int Position_Vector = 0;
	
	bank.clear();
	string line;
	string info;
	vector<string> temp;
	ifstream inFile(filename.c_str());
	for(i=0; inFile.good(); i++){
		getline(inFile,line);
		temp.push_back(line);
		cout << line << "\n";
	}
	Account tempAcc;
	for(i=0; i<temp.size(); i++){
		string ThisLine = temp[i];
		string infoHolder;
		if (ThisLine[1]=='1') {
			cout << "handlename\n";
			infoHolder.assign(ThisLine, 3 , ThisLine.size());
			cout << infoHolder << "\n";
			tempAcc.setName(infoHolder);
		}
		else if (ThisLine[1] == '2') {
			cout << "handlenumber\n";
			infoHolder.assign(ThisLine, 3 , ThisLine.size());
			cout << infoHolder << "\n";
			tempAcc.setDeposit(atof(infoHolder.c_str()));
			
			bank.push_back(tempAcc);
		}
	}
	
}

//++++++++++++++++_____________________++++++++++++++++++++